<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: drawGlyph.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_844ccf4c9c5f524017223c512b74160f.html">src</a></div>
<h1>drawGlyph.h File Reference</h1>libLASi provides a C++ output stream interface for writing multi-language Postscript documents. <a href="#_details">More...</a>
<p>
<code>#include &lt;iostream&gt;</code><br>
<code>#include &lt;pango/pango.h&gt;</code><br>
<code>#include &lt;freetype/freetype.h&gt;</code><br>

<p>
<a href="drawGlyph_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8h.html#14ab0f6b8bf9361dd0035df4e4c3b7ce">writeGlyphRoutine</a> (std::ostream &amp;os, PangoContext *const pPangoCtx, FT_Glyph glyph)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate the Postscript commands to draw the glyph using the font in pPangoCtx.  <a href="#14ab0f6b8bf9361dd0035df4e4c3b7ce"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
libLASi provides a C++ output stream interface for writing multi-language Postscript documents. 
<p>
Copyright (C) 2003 Larry Siden. See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution. <hr><h2>Function Documentation</h2>
<a class="anchor" name="14ab0f6b8bf9361dd0035df4e4c3b7ce"></a><!-- doxytag: member="drawGlyph.h::writeGlyphRoutine" ref="14ab0f6b8bf9361dd0035df4e4c3b7ce" args="(std::ostream &amp;os, PangoContext *const pPangoCtx, FT_Glyph glyph)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void writeGlyphRoutine           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PangoContext *const &nbsp;</td>
          <td class="paramname"> <em>pPangoCtx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">FT_Glyph&nbsp;</td>
          <td class="paramname"> <em>glyph</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generate the Postscript commands to draw the glyph using the font in pPangoCtx. 
<p>

</div>
</div><p>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
